Filter Live Assets
This endpoint lists live assets on the basis of status for the given live_source_id.
Path Parameters
- Type: stringlive
_source _id requiredGumlet live source/collection id.
Query Parameters
- Type: stringstatus
To filter live assets on the basis of their current status. Can be specified as a single status value string or comma-separated status values. The status value can be one of
created,active,complete,disconnected,errored, anddeleted. - Type: integer Format: int32offset
Offset value for a paginated list of assets.
- Type: integer Format: int32size
Page size for the paginated list.
Responses
- application/json
- application/json
- application/json
Request Example for get/video/live/assets/list/{live_source_id}
import Gumlet from '@gumlet/nodejs-sdk';
const client = new Gumlet({
apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});
const liveStreamAsset = await client.liveStreamAssets.filter('liveSourceId');
console.log(liveStreamAsset);
{
"all_live_assets": [
{
"status": "complete",
"stream_key": "68b671c1373a93b5103e1f9b",
"live_asset_id": "68b671c1373a93b5103e1f9a",
"live_video_source_id": "68678418fc386bd77fd5c689",
"input": {
"resolution": [
"360p",
"480p",
"720p",
"1080p"
],
"title": "gumlet-stream"
},
"stream_url": "rtmp://44.241.193.188:1935/app/68b671c1373a93b5103e1f9b",
"output": {
"playback_url": "https://stream.gumlet.io/68678418fc386bd77fd5c689/68b671c1373a93b5103e1f9a/main.m3u8",
"recording_playback_url": "https://video.gumlet.io/68678419fc386bd77fd5c69c/68b671c1373a93b5103e1f9c/main.m3u8",
"recording_dash_playback_url": "https://video.gumlet.io/68678419fc386bd77fd5c69c/68b671c1373a93b5103e1f9c/main.mpd"
},
"vod_asset_id": "68b671c1373a93b5103e1f9c",
"start_at": 1756787280000,
"created_at": 1756787138405,
"updated_at": 1756787392403
},
{
"status": "deleted",
"stream_key": "686784192f7f889f3d149bdb",
"live_asset_id": "686784192f7f889f3d149bda",
"live_video_source_id": "68678418fc386bd77fd5c689",
"input": {
"resolution": [
"240p",
"360p",
"480p",
"720p",
"1080p"
],
"title": "gumlet-live-stream"
},
"stream_url": "rtmp://44.250.15.141:1935/app/686784192f7f889f3d149bdb",
"created_at": 1751614490873,
"updated_at": 1751700918544,
"deleted_at": 1751700918543
}
],
"total_live_asset_count": 2,
"current_offset": 2
}
